summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xxorg/X11R7.6/buildx.sh6
-rw-r--r--xorg/X11R7.6/x11_file_list.txt5
2 files changed, 10 insertions, 1 deletions
diff --git a/xorg/X11R7.6/buildx.sh b/xorg/X11R7.6/buildx.sh
index 69b035d5..fbab9b7a 100755
--- a/xorg/X11R7.6/buildx.sh
+++ b/xorg/X11R7.6/buildx.sh
@@ -68,6 +68,11 @@ download_file()
status=$?
cd ..
return $status
+ elif [ "$file" = "Python-2.5.6.tar.bz2" ]; then
+ wget -cq http://www.python.org/ftp/python/2.5.6/Python-2.5.6.tar.bz2
+ status=$?
+ cd ..
+ return $status
else
wget -cq $download_url/$file
status=$?
@@ -206,6 +211,7 @@ fi
export PREFIX_DIR=$1
export PKG_CONFIG_PATH=$PREFIX_DIR/lib/pkgconfig:$PREFIX_DIR/share/pkgconfig
+export PATH=$PREFIX_DIR/bin:$PATH
# prefix dir must exist...
if [ ! -d $PREFIX_DIR ]; then
diff --git a/xorg/X11R7.6/x11_file_list.txt b/xorg/X11R7.6/x11_file_list.txt
index 939faaba..8fb0562b 100644
--- a/xorg/X11R7.6/x11_file_list.txt
+++ b/xorg/X11R7.6/x11_file_list.txt
@@ -1,4 +1,5 @@
-util-macros-1.11.0.tar.bz2 : util-macros-1.11.0 :
+Python-2.5.6.tar.bz2 : Python-2.5.6 :
+util-macros-1.11.0.tar.bz2 : util-macros-1.11.0 :
font-adobe-75dpi-1.0.3.tar.bz2 : font-adobe-75dpi-1.0.3 : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
font-adobe-100dpi-1.0.3.tar.bz2 : font-adobe-100dpi-1.0.3 : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
font-adobe-utopia-75dpi-1.0.4.tar.bz2 : font-adobe-utopia-75dpi-1.0.4 : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
@@ -70,6 +71,8 @@ libSM-1.2.0.tar.bz2 : libSM-1.2.0
libXau-1.0.6.tar.bz2 : libXau-1.0.6 :
kbproto-1.0.5.tar.bz2 : kbproto-1.0.5 :
libXdmcp-1.1.0.tar.bz2 : libXdmcp-1.1.0 :
+xcb-proto-1.6.tar.bz2 : xcb-proto-1.6 :
+libxcb-1.7.tar.bz2 : libxcb-1.7 :
libX11-1.4.0.tar.bz2 : libX11-1.4.0 :
libXt-1.0.9.tar.bz2 : libXt-1.0.9 :
libxkbfile-1.0.7.tar.bz2 : libxkbfile-1.0.7 :